<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chushang.inspection.project.mapper.WrkProjectMapper">

    <select id="exportDispatchPage" resultType="com.chushang.inspection.project.vo.ProjectExportVO">
        select project_name,dept_name,project_concat,project_phone,create_time,project_effect from wrk_project where del_state = 0
    </select>
    <select id="exportDispatchPage2" resultType="com.chushang.inspection.project.vo.ProjectContractExportVO">
        select
            wp.project_name,
            wp.dept_name,
            wp.project_concat,
            wp.project_phone,
            wpc.audit_status,
            CONCAT(contract_start_time,'-',contract_end_time) as contractTimes,
                wp.create_time
        from wrk_project wp
                 left join wrk_project_contract wpc on wp.project_id = wpc.project_id
        where wp.del_state = 0
    </select>
</mapper>
